/payment
Creates a payment request and identifier. This will check incoming payments in the background.
Authorization
API-Key API key authentication via header (token)
In: header
Request Body
application/json
Response Body
application/json
curl -X POST "https://loading/./../api/v1/payment" \ -H "Content-Type: application/json" \ -d '{ "agentIdentifier": "agent_identifier", "network": "Preprod", "inputHash": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08", "payByTime": "1970-01-20T20:00:26.260Z", "metadata": "(private) metadata to be stored with the payment request", "submitResultTime": "1970-01-20T20:00:36.260Z", "identifierFromPurchaser": "aabbaabb11221122aabb" }'{
"status": "Success",
"data": {
"id": "cuid_v2_auto_generated",
"blockchainIdentifier": "blockchain_identifier",
"agentIdentifier": "agent_identifier",
"pricingType": "Fixed",
"createdAt": "1970-01-20T20:00:36.260Z",
"updatedAt": "1970-01-20T20:00:36.260Z",
"submitResultTime": "0",
"unlockTime": "0",
"externalDisputeUnlockTime": "0",
"lastCheckedAt": null,
"cooldownTime": 0,
"payByTime": null,
"cooldownTimeOtherParty": 0,
"collateralReturnLovelace": null,
"buyerReturnAddress": null,
"sellerReturnAddress": null,
"requestedById": "requester_id",
"resultHash": "result_hash",
"onChainState": null,
"inputHash": "input_hash",
"NextAction": {
"requestedAction": "AuthorizeRefundRequested",
"errorType": null,
"errorNote": null,
"resultHash": null
},
"CurrentTransaction": null,
"RequestedFunds": [
{
"unit": "",
"amount": "10000000"
}
],
"PaymentSource": {
"id": "payment_source_id",
"network": "Preprod",
"paymentSourceType": "Web3CardanoV1",
"smartContractAddress": "address",
"policyId": "policy_id"
},
"WithdrawnForSeller": [],
"WithdrawnForBuyer": [],
"BuyerWallet": null,
"SmartContractWallet": null,
"metadata": null,
"totalBuyerCardanoFees": 0,
"totalSellerCardanoFees": 0,
"nextActionOrOnChainStateOrResultLastChangedAt": "1970-01-20T20:00:36.260Z",
"nextActionLastChangedAt": "1970-01-20T20:00:36.260Z",
"onChainStateOrResultLastChangedAt": "1970-01-20T20:00:36.260Z"
}
}


